//
//  BaseViewController.swift
//  RDC-MAC-Sample
//
//  Created by dellinger on 2022/1/6.
//

import Cocoa

class BaseViewController : NSViewController {
    
    enum AlertType {
        case Info
        case Warn
        case Error
    }
    
    func alert(_ msg:String, _ type:AlertType, _ title:String = "Hint") {
        let dialog = NSAlert()
        switch type {
        case .Info:
            dialog.alertStyle = .informational
        case .Warn:
            dialog.alertStyle = .warning
        default:
            dialog.alertStyle = .critical
        }
        
        dialog.messageText = title
        dialog.informativeText = msg
        
        dialog.runModal()
    }
    
    func confirm(_ msg:String, _ type:AlertType, _ title:String = "Hint") -> NSApplication.ModalResponse {
        
        let dialog = NSAlert()
        switch type {
        case .Info:
            dialog.alertStyle = .informational
        case .Warn:
            dialog.alertStyle = .warning
        default:
            dialog.alertStyle = .critical
        }
        
        dialog.addButton(withTitle: "YES")
        dialog.addButton(withTitle: "No")
        
        dialog.messageText = title
        dialog.informativeText = msg
        
        return dialog.runModal()
    }
}
