//
//  ViewController.swift
//  RDC-MAC-Sample
//
//  Created by dellinger on 2022/1/5.
//

import Cocoa
import AgoraRDCKit

class LoginViewController: BaseViewController {
    
    @IBOutlet weak var txtChannel: NSTextField!
    @IBOutlet weak var txtUserName: NSTextField!
    @IBOutlet weak var swRole: NSSwitch!
    @IBOutlet weak var lblRole: NSTextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()
    }

    override var representedObject: Any? {
        didSet {

        }
    }

    override func prepare(for segue: NSStoryboardSegue, sender: Any?) {
        if segue.identifier == "showScreenView" {
            let controller = segue.destinationController as! ScreenViewController
            controller.channelId = txtChannel.stringValue
            controller.userName = txtUserName.stringValue
            controller.isMaster = swRole.state == NSControl.StateValue.on
            self.view.window?.close()
        }
    }
    
    @IBAction func onRoleChanged(_ sender: Any) {
        if (swRole.state == .on) {
            lblRole.stringValue = "Master Mode"
        } else {
            lblRole.stringValue = "Slave Mode"
        }
    }
    
    @IBAction func doLogin(_ sender: Any) {
        
        if (txtChannel.stringValue.isEmpty) {
            alert("Invalid channel id", .Error)
            return
        }
        
        if (txtUserName.stringValue.isEmpty) {
            alert("Invalid user name", .Error)
            return
        }
        
        self.performSegue(withIdentifier: "showScreenView", sender: self)
    }
    
    @IBAction func doExit(_ sender: Any) {
        
        if confirm("Sure to exit?", .Warn, "Confirmation") == .alertFirstButtonReturn {
            exit(0);
        }
    }
    
}

